Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geom.util
Class ComponentCoordinateExtracter

    java.lang.Object
      com.vividsolutions.jts.geom.util.ComponentCoordinateExtracter

All Implemented Interfaces:
  GeometryComponentFilter

    public class ComponentCoordinateExtracter

extends java.lang.Object
implements GeometryComponentFilter

Extracts a single representative `Coordinate` from each connected component of a `Geometry`.

Version:
  1.9

Constructor Summary
`ComponentCoordinateExtracter(java.util.List coords)` Constructs a LineExtracterFilter with a list in which to store LineStrings found.

Method Summary
`void` | `filter(Geometry geom)` Performs an operation with or on `geom`.
`static java.util.List` | `getCoordinates(Geometry geom)` Extracts the linear components from a single geometry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentCoordinateExtracter

    public ComponentCoordinateExtracter(java.util.List coords)

  Constructs a LineExtracterFilter with a list in which to store LineStrings found.

Method Detail

### getCoordinates

    public static java.util.List getCoordinates(Geometry geom)

  Extracts the linear components from a single geometry. If more than one geometry is to be processed, it is more efficient to create a single `ComponentCoordinateExtracter` instance and pass it to multiple geometries.

  Parameters:
    `geom` - the Geometry from which to extract
  Returns:
    a list of Coordinates

### filter

    public void filter(Geometry geom)

  Description copied from interface: `GeometryComponentFilter`
  Performs an operation with or on `geom`.

  Specified by:
    `filter` in interface `GeometryComponentFilter`
  Parameters:
    `geom` - a `Geometry` to which the filter is applied.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD